# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/HgBookmarkDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgBookmarkDialog(object):
    def setupUi(self, HgBookmarkDialog):
        HgBookmarkDialog.setObjectName("HgBookmarkDialog")
        HgBookmarkDialog.resize(400, 346)
        HgBookmarkDialog.setWindowTitle("")
        HgBookmarkDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(HgBookmarkDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label = QtWidgets.QLabel(parent=HgBookmarkDialog)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.nameEdit = QtWidgets.QLineEdit(parent=HgBookmarkDialog)
        self.nameEdit.setObjectName("nameEdit")
        self.horizontalLayout.addWidget(self.nameEdit)
        self.nameCombo = QtWidgets.QComboBox(parent=HgBookmarkDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.nameCombo.sizePolicy().hasHeightForWidth())
        self.nameCombo.setSizePolicy(sizePolicy)
        self.nameCombo.setObjectName("nameCombo")
        self.horizontalLayout.addWidget(self.nameCombo)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.groupBox = QtWidgets.QGroupBox(parent=HgBookmarkDialog)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.numberButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.numberButton.setObjectName("numberButton")
        self.gridLayout.addWidget(self.numberButton, 0, 0, 1, 1)
        self.numberSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.numberSpinBox.setEnabled(False)
        self.numberSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight)
        self.numberSpinBox.setMaximum(999999999)
        self.numberSpinBox.setObjectName("numberSpinBox")
        self.gridLayout.addWidget(self.numberSpinBox, 0, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(158, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 0, 2, 1, 1)
        self.idButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.idButton.setObjectName("idButton")
        self.gridLayout.addWidget(self.idButton, 1, 0, 1, 1)
        self.idEdit = QtWidgets.QLineEdit(parent=self.groupBox)
        self.idEdit.setEnabled(False)
        self.idEdit.setObjectName("idEdit")
        self.gridLayout.addWidget(self.idEdit, 1, 1, 1, 2)
        self.tagButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.tagButton.setObjectName("tagButton")
        self.gridLayout.addWidget(self.tagButton, 2, 0, 1, 1)
        self.tagCombo = QtWidgets.QComboBox(parent=self.groupBox)
        self.tagCombo.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.tagCombo.sizePolicy().hasHeightForWidth())
        self.tagCombo.setSizePolicy(sizePolicy)
        self.tagCombo.setEditable(True)
        self.tagCombo.setObjectName("tagCombo")
        self.gridLayout.addWidget(self.tagCombo, 2, 1, 1, 2)
        self.branchButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.branchButton.setObjectName("branchButton")
        self.gridLayout.addWidget(self.branchButton, 3, 0, 1, 1)
        self.branchCombo = QtWidgets.QComboBox(parent=self.groupBox)
        self.branchCombo.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.branchCombo.sizePolicy().hasHeightForWidth())
        self.branchCombo.setSizePolicy(sizePolicy)
        self.branchCombo.setEditable(True)
        self.branchCombo.setObjectName("branchCombo")
        self.gridLayout.addWidget(self.branchCombo, 3, 1, 1, 2)
        self.bookmarkButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.bookmarkButton.setObjectName("bookmarkButton")
        self.gridLayout.addWidget(self.bookmarkButton, 4, 0, 1, 1)
        self.bookmarkCombo = QtWidgets.QComboBox(parent=self.groupBox)
        self.bookmarkCombo.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.bookmarkCombo.sizePolicy().hasHeightForWidth())
        self.bookmarkCombo.setSizePolicy(sizePolicy)
        self.bookmarkCombo.setEditable(True)
        self.bookmarkCombo.setObjectName("bookmarkCombo")
        self.gridLayout.addWidget(self.bookmarkCombo, 4, 1, 1, 2)
        self.expressionButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.expressionButton.setObjectName("expressionButton")
        self.gridLayout.addWidget(self.expressionButton, 5, 0, 1, 1)
        self.expressionEdit = QtWidgets.QLineEdit(parent=self.groupBox)
        self.expressionEdit.setEnabled(False)
        self.expressionEdit.setClearButtonEnabled(True)
        self.expressionEdit.setObjectName("expressionEdit")
        self.gridLayout.addWidget(self.expressionEdit, 5, 1, 1, 2)
        self.tipButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.tipButton.setChecked(True)
        self.tipButton.setObjectName("tipButton")
        self.gridLayout.addWidget(self.tipButton, 6, 0, 1, 3)
        self.verticalLayout.addWidget(self.groupBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgBookmarkDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(HgBookmarkDialog)
        self.buttonBox.accepted.connect(HgBookmarkDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgBookmarkDialog.reject) # type: ignore
        self.numberButton.toggled['bool'].connect(self.numberSpinBox.setEnabled) # type: ignore
        self.idButton.toggled['bool'].connect(self.idEdit.setEnabled) # type: ignore
        self.tagButton.toggled['bool'].connect(self.tagCombo.setEnabled) # type: ignore
        self.branchButton.toggled['bool'].connect(self.branchCombo.setEnabled) # type: ignore
        self.bookmarkButton.toggled['bool'].connect(self.bookmarkCombo.setEnabled) # type: ignore
        self.expressionButton.toggled['bool'].connect(self.expressionEdit.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgBookmarkDialog)
        HgBookmarkDialog.setTabOrder(self.nameEdit, self.nameCombo)
        HgBookmarkDialog.setTabOrder(self.nameCombo, self.numberButton)
        HgBookmarkDialog.setTabOrder(self.numberButton, self.numberSpinBox)
        HgBookmarkDialog.setTabOrder(self.numberSpinBox, self.idButton)
        HgBookmarkDialog.setTabOrder(self.idButton, self.idEdit)
        HgBookmarkDialog.setTabOrder(self.idEdit, self.tagButton)
        HgBookmarkDialog.setTabOrder(self.tagButton, self.tagCombo)
        HgBookmarkDialog.setTabOrder(self.tagCombo, self.branchButton)
        HgBookmarkDialog.setTabOrder(self.branchButton, self.branchCombo)
        HgBookmarkDialog.setTabOrder(self.branchCombo, self.bookmarkButton)
        HgBookmarkDialog.setTabOrder(self.bookmarkButton, self.bookmarkCombo)
        HgBookmarkDialog.setTabOrder(self.bookmarkCombo, self.expressionButton)
        HgBookmarkDialog.setTabOrder(self.expressionButton, self.expressionEdit)
        HgBookmarkDialog.setTabOrder(self.expressionEdit, self.tipButton)

    def retranslateUi(self, HgBookmarkDialog):
        _translate = QtCore.QCoreApplication.translate
        self.label.setText(_translate("HgBookmarkDialog", "Name:"))
        self.nameEdit.setToolTip(_translate("HgBookmarkDialog", "Enter the bookmark name"))
        self.nameCombo.setToolTip(_translate("HgBookmarkDialog", "Select a bookmark"))
        self.groupBox.setTitle(_translate("HgBookmarkDialog", "Revision"))
        self.numberButton.setToolTip(_translate("HgBookmarkDialog", "Select to specify a revision by number"))
        self.numberButton.setText(_translate("HgBookmarkDialog", "Number"))
        self.numberSpinBox.setToolTip(_translate("HgBookmarkDialog", "Enter a revision number"))
        self.idButton.setToolTip(_translate("HgBookmarkDialog", "Select to specify a revision by changeset id"))
        self.idButton.setText(_translate("HgBookmarkDialog", "Id:"))
        self.idEdit.setToolTip(_translate("HgBookmarkDialog", "Enter a changeset id"))
        self.tagButton.setToolTip(_translate("HgBookmarkDialog", "Select to specify a revision by a tag"))
        self.tagButton.setText(_translate("HgBookmarkDialog", "Tag:"))
        self.tagCombo.setToolTip(_translate("HgBookmarkDialog", "Enter a tag name"))
        self.branchButton.setToolTip(_translate("HgBookmarkDialog", "Select to specify a revision by a branch"))
        self.branchButton.setText(_translate("HgBookmarkDialog", "Branch:"))
        self.branchCombo.setToolTip(_translate("HgBookmarkDialog", "Enter a branch name"))
        self.bookmarkButton.setToolTip(_translate("HgBookmarkDialog", "Select to specify a revision by a bookmark"))
        self.bookmarkButton.setText(_translate("HgBookmarkDialog", "Bookmark:"))
        self.bookmarkCombo.setToolTip(_translate("HgBookmarkDialog", "Enter a bookmark name"))
        self.expressionButton.setText(_translate("HgBookmarkDialog", "Expression:"))
        self.expressionEdit.setToolTip(_translate("HgBookmarkDialog", "Enter a revision set expression"))
        self.tipButton.setToolTip(_translate("HgBookmarkDialog", "Select tip revision of repository"))
        self.tipButton.setText(_translate("HgBookmarkDialog", "Parent"))
